From 3203064f2f9f4814908031823e719fc772bd7713 Mon Sep 17 00:00:00 2001
From: Ricky Zhou <ricky@fedoraproject.org>
Date: Tue, 25 Nov 2008 11:43:10 +0000
Subject: [PATCH] Update all website languages.

---
 configs/web/fedorahosted.org/languages.conf       |   24 ++++++++++++---
 configs/web/fedoraproject.org/languages.conf      |   33 ++++++++++-----------
 configs/web/talk.fedoraproject.org/languages.conf |   22 +++++++++++--
 3 files changed, 53 insertions(+), 26 deletions(-)

diff --git a/configs/web/fedorahosted.org/languages.conf b/configs/web/fedorahosted.org/languages.conf
index 555b11f..ac21f32 100644
--- a/configs/web/fedorahosted.org/languages.conf
+++ b/configs/web/fedorahosted.org/languages.conf
@@ -1,17 +1,30 @@
 LoadModule negotiation_module modules/mod_negotiation.so
 
+AddLanguage as .as
 AddLanguage bal .bal
+AddLanguage bn-in .bn_IN
+AddLanguage ca .ca
 AddLanguage de .de
 AddLanguage el .el
 AddLanguage en .en
 AddLanguage es .es
+AddLanguage gu .gu
+AddLanguage hi .hi
 AddLanguage hu .hu
 AddLanguage id .id
 AddLanguage it .it
+AddLanguage kn .kn
+AddLanguage ml .ml
+AddLanguage mr .mr
+AddLanguage nb .nb
+AddLanguage or .or
+AddLanguage pa .pa
 AddLanguage pl .pl
+AddLanguage pt-br .pt_BR
 AddLanguage ru .ru
 AddLanguage sr .sr
-AddLanguage pt-br .pt_BR
+AddLanguage ta .ta
+AddLanguage te .te
 AddLanguage zh-cn .zh_CN
 
 LanguagePriority en
@@ -20,14 +33,15 @@ ForceLanguagePriority Prefer Fallback
 AddDefaultCharset utf-8
 
 RewriteEngine on
-RewriteCond %{QUERY_STRING} ^lang=(bal|de|el|en|es|hu|id|it|pl|ru|sr|pt_BR|zh_CN)$
-RewriteRule ^/web(?:/(?:bal|de|el|en|es|hu|id|it|pl|ru|sr|pt_BR|zh_CN))?(/.*)$ /web/%1$1? [R=301]
-AliasMatch ^/web(?:/(?:bal|de|el|en|es|hu|id|it|pl|ru|sr|pt_BR|zh_CN))(/.*)?$ /srv/web/fedorahosted.org$1
+RewriteCond %{QUERY_STRING} ^lang=(as|bal|bn_IN|ca|de|el|en|es|gu|hi|hu|id|it|kn|ml|mr|nb|or|pa|pl|pt_BR|ru|sr|ta|te|zh_CN)$
+RewriteRule ^/web(?:/(?:as|bal|bn_IN|ca|de|el|en|es|gu|hi|hu|id|it|kn|ml|mr|nb|or|pa|pl|pt_BR|ru|sr|ta|te|zh_CN))?(/.*)$ /web/%1$1? [R=301]
+AliasMatch ^/web(?:/(?:as|bal|bn_IN|ca|de|el|en|es|gu|hi|hu|id|it|kn|ml|mr|nb|or|pa|pl|pt_BR|ru|sr|ta|te|zh_CN))(/.*)?$ /srv/web/fedorahosted.org$1
 
 <Directory /srv/web/fedorahosted.org/>
   Options MultiViews
 
-  SetEnvIf Request_URI ^/web/(bal|de|el|en|es|hu|id|it|pl|ru|sr)/ prefer-language=$1
+  SetEnvIf Request_URI ^/web/(as|bal|ca|de|el|en|es|gu|hi|hu|id|it|kn|ml|mr|nb|or|pa|pl|ru|sr|ta|te)/ prefer-language=$1
+  SetEnvIf Request_URI ^/web/bn_IN/ prefer-language=bn-in
   SetEnvIf Request_URI ^/web/pt_BR/ prefer-language=pt-br
   SetEnvIf Request_URI ^/web/zh_CN/ prefer-language=zh-cn
 </Directory>
diff --git a/configs/web/fedoraproject.org/languages.conf b/configs/web/fedoraproject.org/languages.conf
index d1e2ae1..772ec6c 100644
--- a/configs/web/fedoraproject.org/languages.conf
+++ b/configs/web/fedoraproject.org/languages.conf
@@ -1,27 +1,25 @@
 LoadModule negotiation_module modules/mod_negotiation.so
 
-AddLanguage ar .ar
-AddLanguage bal .bal
+AddLanguage as .as
+AddLanguage bn-in .bn_IN
 AddLanguage ca .ca
 AddLanguage de .de
-AddLanguage el .el
 AddLanguage en .en
-AddLanguage es .es
-AddLanguage fa .fa
 AddLanguage fi .fi
-AddLanguage fr .fr
+AddLanguage gu .gu
 AddLanguage he .he
-AddLanguage hu .hu
-AddLanguage id .id
-AddLanguage it .it
+AddLanguage hi .hi
 AddLanguage ja .ja
-AddLanguage nl .nl
+AddLanguage kn .kn
+AddLanguage ml .ml
+AddLanguage mr .mr
+AddLanguage or .or
+AddLanguage pa .pa
 AddLanguage pl .pl
 AddLanguage pt-br .pt_BR
-AddLanguage ro .ro
-AddLanguage ru .ru
-AddLanguage sk .sk
 AddLanguage sr .sr
+AddLanguage ta .ta
+AddLanguage te .te
 AddLanguage zh-cn .zh_CN
 
 LanguagePriority en
@@ -30,14 +28,15 @@ ForceLanguagePriority Prefer Fallback
 AddDefaultCharset utf-8
 
 RewriteEngine on
-RewriteCond %{QUERY_STRING} ^lang=(ar|bal|ca|de|el|en|es|fa|fi|fr|he|hu|id|it|ja|nl|pl|pt_BR|ro|ru|sk|sr|zh_CN)$
-RewriteRule ^(?:/(?:ar|bal|ca|de|el|en|es|fa|fi|fr|he|hu|id|it|ja|nl|pl|pt_BR|ro|ru|sk|sr|zh_CN))?(/.*)$ /%1$1? [R=301]
-AliasMatch ^(?:/(?:ar|bal|ca|de|el|en|es|fa|fi|fr|he|hu|id|it|ja|nl|pl|pt_BR|ro|ru|sk|sr|zh_CN))(/.*)?$ /srv/web/fedoraproject.org$1
+RewriteCond %{QUERY_STRING} ^lang=(as|bn_IN|ca|de|en|fi|gu|he|hi|ja|kn|ml|mr|or|pa|pl|pt_BR|sr|ta|te|zh_CN)$
+RewriteRule ^(?:/(?:as|bn_IN|ca|de|en|fi|gu|he|hi|ja|kn|ml|mr|or|pa|pl|pt_BR|sr|ta|te|zh_CN))?(/.*)$ /%1$1? [R=301]
+AliasMatch ^(?:/(?:as|bn_IN|ca|de|en|fi|gu|he|hi|ja|kn|ml|mr|or|pa|pl|pt_BR|sr|ta|te|zh_CN))(/.*)?$ /srv/web/fedoraproject.org$1
 
 <Directory /srv/web/fedoraproject.org>
   Options MultiViews
 
-  SetEnvIf Request_URI ^/(ar|bal|ca|de|el|en|es|fa|fi|fr|he|hu|id|it|ja|nl|pl|ro|ru|sk|sr)/ prefer-language=$1
+  SetEnvIf Request_URI ^/(as|ca|de|en|fi|gu|he|hi|ja|kn|ml|mr|or|pa|pl|sr|ta|te)/ prefer-language=$1
+  SetEnvIf Request_URI ^/bn_IN/ prefer-language=bn-in
   SetEnvIf Request_URI ^/pt_BR/ prefer-language=pt-br
   SetEnvIf Request_URI ^/zh_CN/ prefer-language=zh-cn
 </Directory>
diff --git a/configs/web/talk.fedoraproject.org/languages.conf b/configs/web/talk.fedoraproject.org/languages.conf
index 858364c..03d00a5 100644
--- a/configs/web/talk.fedoraproject.org/languages.conf
+++ b/configs/web/talk.fedoraproject.org/languages.conf
@@ -1,7 +1,20 @@
 LoadModule negotiation_module modules/mod_negotiation.so
 
+AddLanguage as .as
+AddLanguage bn-in .bn_IN
 AddLanguage de .de
 AddLanguage en .en
+AddLanguage gu .gu
+AddLanguage hi .hi
+AddLanguage kn .kn
+AddLanguage ml .ml
+AddLanguage mr .mr
+AddLanguage or .or
+AddLanguage pa .pa
+AddLanguage pl .pl
+AddLanguage ta .ta
+AddLanguage te .te
+
 
 LanguagePriority en
 ForceLanguagePriority Prefer Fallback
@@ -9,13 +22,14 @@ ForceLanguagePriority Prefer Fallback
 AddDefaultCharset utf-8
 
 RewriteEngine on
-RewriteCond %{QUERY_STRING} ^lang=(en|de)$
-RewriteRule ^(?:/(?:en|de))?(/.*)$ /%1$1? [R=301]
-AliasMatch ^(?:/(?:en|de))(/.*)?$ /srv/web/talk.fedoraproject.org$1
+RewriteCond %{QUERY_STRING} ^lang=(as|bn_IN|de|en|gu|hi|kn|ml|mr|or|pa|pl|ta|te)$
+RewriteRule ^(?:/(?:as|bn_IN|de|en|gu|hi|kn|ml|mr|or|pa|pl|ta|te))?(/.*)$ /%1$1? [R=301]
+AliasMatch ^(?:/(?:as|bn_IN|de|en|gu|hi|kn|ml|mr|or|pa|pl|ta|te))(/.*)?$ /srv/web/talk.fedoraproject.org$1
 
 <Directory /srv/web/talk.fedoraproject.org>
   Options MultiViews
 
-  SetEnvIf Request_URI ^/(de|en)/ prefer-language=$1
+  SetEnvIf Request_URI ^/(as|de|en|gu|hi|kn|ml|mr|or|pa|pl|ta|te)/ prefer-language=$1
+  SetEnvIf Request_URI ^/bn_IN/ prefer-language=bn-in
 </Directory>
 
-- 
1.5.5.1

